Name:          clearsilver
Summary:       Neotonic ClearSilver
Version:       0.10.5
Release:       6.1
License:       Neotonic ClearSilver License (Apache 1.1 based)
Group:         Development/Libraries
Source:        http://www.clearsilver.net/downloads/%{name}-%{version}.tar.gz
Patch0:        clearsilver-ruby_install.patch
Patch2:        clearsilver-dso_rpath.patch
Patch3:        clearsilver-perl_vendor.patch
URL:           http://www.clearsilver.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires:  zlib-devel
BuildRequires:  python-devel
BuildRequires:  perl
BuildRequires:  ruby-devel

%description
ClearSilver is a fast, powerful, and language-neutral HTML template system. 
In both static content sites and dynamic HTML applications, it provides a 
separation between presentation code and application logic which makes 
working with your project easier.

%description -l de
ClearSilver ist ein schnelles mächtiges und sprachneutrales Template-System.
Es stellte eine Trennung zwischen Präsentation und ANwendungslogik zur Verfügung,
sowohl statische, als auch für dynamische HTML-Anwendungen.

%package devel
Summary:     Neotonic ClearSilver Development Package
Summary(de): Neotonic ClearSilver Entwicklungs-Paket
Group:       Development/Libraries
Requires:    clearsilver = %{version}

%description devel
This package provides needed files to develop extension
to ClearSilver.

%description devel -l de
Dieses Paket wird zum Entwicklen von Clearsilver-Erweiterungen
benötigt.

%package -n python-clearsilver
Summary:  Neotonic ClearSilver Python Module
Group:    Development/Libraries
Requires: clearsilver = %{version}
%{py_requires}

%description -n python-clearsilver
python bindings for clearsilver

%description -n python-clearsilver -l de
Python-Bindings für clearsilver

%package -n perl-clearsilver
Summary:  Neotonic ClearSilver Perl Module
Group:    Development/Libraries
Requires: clearsilver = %{version}
Requires: perl = %{perl_version}

%description -n perl-clearsilver
perl bindings for clearsilver

%description -n perl-clearsilver -l de
Perl-Bindings für clearsilver

%package -n ruby-clearsilver
Summary:  Neotonic ClearSilver Ruby Module
Group:    Development/Libraries
Requires: clearsilver = %{version}
Requires: ruby = %{rb_ver}

%description -n ruby-clearsilver
ruby bindings for clearsilver

%description -n ruby-clearsilver -l de
Ruby-Bindings für clearsilver

%prep
%setup -q
%patch0
%patch2
%patch3
perl -pi.orig -e 's|/usr/local|%{_prefix}|' scripts/document.py

%build
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
%configure \
	--enable-remote-debugger \
	--enable-compression \
	--enable-apache \
	--enable-java \
	--enable-python \
	--with-python=%{__python} \
	--enable-perl \
	--disable-csharp \
	--enable-ruby

make
%if 0%{suse_version} < 1030
make -C dso
%endif

%install
rm -rf %{buildroot}
make install \
        DESTDIR="%{buildroot}" \
        INSTALLDIRS="vendor" PYTHON=python
make install -C python \
        DESTDIR="%{buildroot}" PYTHON=python PYTHON_SITE=%{py_sitedir}
make install -C perl \
        DESTDIR="%{buildroot}" \
        INSTALLDIRS="vendor"
make install -C ruby \
        DESTDIR="%{buildroot}"

%ifarch amd64 x86_64 ia32e
rm %{buildroot}/usr/lib/python%{py_ver}/site-packages/neo_cgi.so
%endif

install -m 0755 cs/cs %{buildroot}%{_bindir}/cs
install -d -m 0755 %{buildroot}/srv/www/cgi-bin
mv %{buildroot}%{_bindir}/cs_static.cgi %{buildroot}/srv/www/cgi-bin

install -d -m 0755 %{buildroot}%{_docdir}/%{name}
install -d -m 0755 %{buildroot}%{_docdir}/%{name}/python-examples
find python/examples -type f -exec chmod -x {} \;
cp -r python/examples %{buildroot}%{_docdir}/%{name}/python-examples
install -m 0755 python/*.py %{buildroot}%{_docdir}/%{name}/python-examples
install -m 0644 contrib/cs-mode.el %{buildroot}%{_docdir}/%{name}/
install -m 0644 scripts/cs_lint.py %{buildroot}%{_docdir}/%{name}/
install -m 0644 INSTALL README* *LICENSE   %{buildroot}%{_docdir}/%{name}/
install -m 0644 perl/README %{buildroot}%{_docdir}/%{name}/README.perl

%perl_process_packlist

%clean
rm -rf %{buildroot}

%files 
%defattr (-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/cs-mode.el
%doc %{_docdir}/%{name}/CS_LICENSE
%doc %{_docdir}/%{name}/INSTALL
%doc %{_docdir}/%{name}/LICENSE
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/cs_lint.py
%{_bindir}/*
/srv/www/cgi-bin/cs_static.cgi

%files devel
%defattr (-,root,root)
%dir /usr/include/ClearSilver
/usr/include/ClearSilver/*
%{_libdir}/libneo_*.a
%doc %{_mandir}/man3/*.3.gz

%files -n python-clearsilver
%defattr (-,root,root)
%{py_sitedir}/neo_cgi.so
%doc %{_docdir}/%{name}/README.python
%doc %{_docdir}/%{name}/python-examples

%files -n perl-clearsilver
%defattr (-,root,root)
%doc %{_docdir}/%{name}/README.perl
%{perl_vendorarch}/ClearSilver.pm
%dir %{perl_vendorarch}/auto/ClearSilver/
%{perl_vendorarch}/auto/ClearSilver/*
%{perl_vendorarch}/auto/ClearSilver/.packlist
%{_mandir}/man3/*.3pm.gz
/var/adm/perl-modules/clearsilver

%files -n ruby-clearsilver
%defattr (-,root,root)
%dir %{_libdir}/ruby/site_ruby/%{rb_ver}/%{rb_arch}
%{_libdir}/ruby/site_ruby/1.8/neo.rb
%{_libdir}/ruby/site_ruby/1.8/*-linux/hdf.so

%changelog
* Tue Oct 17 2007 Herbert Graeber <herbert@linkslinux.de>
- disabled build of dsotest because of build problems on openSUSE 10.3

* Wed Oct 10 2007 Herbert Graeber <herbert@linkslinux.de>
- update to version 0.10.5

* Tue Jan 02 2007 Herbert Graeber <herbert@linkslinux.de>
- update to version 0.10.2
- static.cgi is renamed to the less generic cs_static.cgi. So the package does not rename ti
  to clearsilver-static.cgi anymore.

* Mon Oct 02 2006 Herbert Graeber <herbert@linkslinux.de>
- migrated into the SUSE build service

* Sun May 14 2006 Herbert Graeber <herbert@linkslinux.de>
- corrected ruby requirement again

* Mon May 8 2006 Herbert Graeber <herbert@linkslinux.de>
- corrected the requirements for perl and ruby support

* Wed Apr 12 2006 Herbert Graeber <herbert@linkslinux.de>
- Update dto 0.10.3

* Fri Mar 17 2006 Herbert Graeber <herbert@linkslinux.de>
- Added some patches
- Ruby support

* Wed Feb 08 2006 Herbert Graeber <herbert@linkslinux.de>
- Initial version
